# Generated from pg_fts-0.2.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name pg_fts

Name: rubygem-%{gem_name}
Version: 0.2.1
Release: 1%{?dist}
Summary: Postgres real-time full text search engine
License: MIT
URL: https://gitlab.com/adhoc-gti/pg-fts
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(minitest) >= 5.8.3
# BuildRequires: rubygem(minitest) < 5.9
# BuildRequires: rubygem(rubocop) >= 0.36.0
# BuildRequires: rubygem(rubocop) < 0.37
BuildArch: noarch

%description
Relation-aware synchronous full text search index for PostgreSQL using
PL/pgSQL triggers described in and generated via ORM-agnostic Ruby.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}


%changelog
* Tue Sep 14 2021 mockbuilder - 0.2.1-1
- Initial package
